cURL
curl --request PATCH \
--url https://api.staging.qyl.dev/api/v1/issues/{issueId} \
--header 'Content-Type: application/json' \
--data '
{
"assigned_to": "<string>"
}
'import requests
url = "https://api.staging.qyl.dev/api/v1/issues/{issueId}"
payload = { "assigned_to": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({assigned_to: '<string>'})
};
fetch('https://api.staging.qyl.dev/api/v1/issues/{issueId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"project_id": "<string>",
"fingerprint": "<string>",
"title": "<string>",
"error_type": "<string>",
"category": "<string>",
"level": "debug",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"occurrence_count": 123,
"affected_users_count": 123,
"status": "unresolved",
"priority": "critical",
"regression_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"culprit": "<string>",
"platform": "<string>",
"substatus": "<string>",
"assigned_to": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"last_release": "<string>",
"tags_json": "<string>",
"metadata_json": "<string>"
}{
"type": "about:blank",
"title": "Validation Failed",
"status": 123,
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"rejected_value": "<string>"
}
],
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}Issues
Patch apiv1issues
Update issue status
PATCH
/
api
/
v1
/
issues
/
{issueId}
cURL
Path Parameters
Body
application/json
Response
The request has succeeded.
Error issue aggregate with lifecycle tracking
Issue ID
Owning project
Error fingerprint for grouping
Issue title
Error type (exception class name or code)
Error category
Severity level
Available options:
debug, info, warning, error, fatal First occurrence
Last occurrence
Total occurrence count
Affected unique users count
Issue status
Available options:
unresolved, acknowledged, investigating, in_progress, resolved, ignored, regressed Priority level
Available options:
critical, high, medium, low Number of regressions
Creation timestamp
Last update timestamp
Culprit (function/module causing the error)
Platform (csharp, javascript, python, etc.)
Issue substatus
Assigned team member
Resolution timestamp
Resolved by
Last associated release
Issue tags
Issue metadata
Was this page helpful?
